Subject: Undeliverable Mail

From: "R.E. (Robert) Moore (254-4436)" <[email-masked]>
Date: Fri, 1 Mar 96 16:04:55 EST

This was supposed to go out this past Tuesday, but our Internet gateway
ate it....
------------------------------- Referenced Note ---------------------------
Date: Wed, 28 Feb 96 10:30:12 EST
From: <[email-masked]>
To: <REMOORE@RALVM6>
Subject: Undeliverable Mail

Attempting to deliver following mail to recipient(s):
    <[email-masked]>
VNET.IBM.COM unable to connect for 1 days to recipient host.
Delivery will be attempted for a total of 5 days.

           ** Text of Mail follows **
Received: from RALVM6 by VNET.IBM.COM (IBM VM SMTP V2R3) with BSMTP id 2455;
   Tue, 27 Feb 96 09:28:31 EST
Date: Tue, 27 Feb 96 09:12:55 EST
From: "R.E. (Robert) Moore (254-4436)" <[email-masked]>
To: [email-masked]
Subject:  appnLsTargetPacingCount

Back on 1/28, BobC wrote the following:

> appnLsTargetPacingCount, what is the UNITS?
> This one was more interesting.  The description says this number is
> significant only when fixed bind pacing is being performed.  I cannot
> find anything in the appn architecture ref or sna formats on fixed bind
> pacing.  It appears you can have adaptive bind pacing or no pacing at all
> (or one-way adaptive).  For session pacing, IPMs are used for adaptive
> pacing and IPRs for fixed pacing.  I see a method for doing BIND IPMs but
> not BIND IPRs.  Even if fixed bind pacing somehow can be done, adaptive
> pacing is the norm.  I propose we remove this object.  Any objections?

Gary Schultz and I  went through the APPN Architecture Reference
(SC30-3422-03), and came up with the following:

1.  Bob is absolutely right about the reference to "fixed Bind pacing" -
    for APPN, all Bind pacing is adaptive.

2.  We *think* that this object represents the first item on p. 3-21,
    which comes in via NOF's DEFINE_LINK_STATION.

3.  We *think* that the very last sub-bullet on p. 6-22 shows how this
    value is used:  after recovering from congestion, it's the size of
    the Bind-pacing window that the node initially opens.  Obviously for
    this usage the value 0 is not valid.

Even if Gary and I are right in our theorizing, that still leaves us with
the question of whether having this object in the MIB provides any value.

For the CP draft of the MIB that will be coming out next week, I have
left this object in the MIB, but flagged it for removal (as we did with
a large number of objects last fall).  I have also removed the reference
to fixed Bind pacing from the description.  Unless someone provides an
argument for why it would be valuable to retain this object in the MIB,
it will be removed from the final Closed Pages MIB, which we'll be
producing after our SIG meeting at AIW 10.

Bob Moore
IBM Network Management Architecture